View Issue Details

IDProjectCategoryView StatusLast Update
0000071TeraCopyEnginepublic2017-03-12 06:38
Reportermatthiasx24 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0 
Target Version3.0.8Fixed in Version3.0.8 
Summary0000071: Folder names with dots are handled incorrectly by TeraCopy
DescriptionWhen copying folders with dots in the name, TeraCopy uses the part after the last dot as a file Extension (like .exe or .pdf).
Steps To ReproduceTry to copy Folders with dots in Name. Simple example: "part1.part2.part3" returns "part1.part2 - Copy.part3".
TagsNo tags attached.
OSWindows 10
OS Version64 bit

Relationships

Activities

matthiasx24

2017-02-27 06:11

reporter  

teracopy3.png (20,843 bytes)
teracopy3.png (20,843 bytes)

BRX

2017-03-01 06:50

reporter   ~0000047

You have to add, that this is the behaviour only for duplicating the folder in the same directory. For other copy processes TC works fine with dots in folders as far as I can see.

But you're right, I could reproduce the behaviour. The result should be part1.part2.part3 - Copy and not part1.part2 - Copy.part3

Issue History

Date Modified Username Field Change
2017-02-27 06:11 matthiasx24 New Issue
2017-02-27 06:11 matthiasx24 File Added: teracopy3.png
2017-03-01 06:50 BRX Note Added: 0000047
2017-03-12 05:52 CodeSector Status new => resolved
2017-03-12 05:52 CodeSector Resolution open => fixed
2017-03-12 05:52 CodeSector Fixed in Version => Upcoming
2017-03-12 06:32 CodeSector Target Version => 3.0.8
2017-03-12 06:38 CodeSector Fixed in Version Upcoming => 3.0.8